#!/bin/sh

# Get info from mods.toml
MOD_ID=""
MC_VERSION=""
MOD_VERSION=""

DATAPACK_DIR="treeplacer_wwee"
MODS_TOML="$DATAPACK_DIR/META-INF/mods.toml"
current_mod_id=""
while read line || [[ -n $line ]]; do
    if [[ "$line" == "modId = "* ]]; then
        current_mod_id=$(echo "$line" | cut -d'"' -f 2)
        if [[ "$MOD_ID" == "" ]]; then
            MOD_ID=$current_mod_id
        fi
    elif [[ "$line" == "version = "* ]]; then
        MOD_VERSION=$(echo "$line" | cut -d'"' -f 2)
    elif [[ "$line" == "versionRange = "* && "$current_mod_id" == "minecraft" ]]; then
        MC_VERSION=$(echo "$line" | cut -d'"' -f 2 | tr -d '[,)')
    fi
done < <(cat $MODS_TOML)

# Exports
cd ${DATAPACK_DIR}
COMMON_NAME="../$MOD_ID-$MC_VERSION-$MOD_VERSION"
COMMON_CONTENTS="data/ pack.mcmeta pack.png"

# Datapack
rm $COMMON_NAME.zip
zip -r $COMMON_NAME.zip $COMMON_CONTENTS

# Forge mod
rm $COMMON_NAME-forge.jar
zip -r $COMMON_NAME-forge.jar $COMMON_CONTENTS META-INF/

# Fabric mod
rm $COMMON_NAME-fabric.jar
zip -r $COMMON_NAME-fabric.jar $COMMON_CONTENTS fabric.mod.json